[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: update to F11 with yum

Alan Evans wrote:
> A bug in the remove-with-leaves plugin that erroneously tags packages
> for removal causes a segmentation fault in PackageKit?

It's not the same bug. You're mixing up at least 3 separate bugs:
* the bug you're seeing, where basesystem gets removed by remove-with-leaves
* https://bugzilla.redhat.com/show_bug.cgi?id=502399 - remove-with-leaves
confuses PackageKit, causing a Python backtrace - fixed in PackageKit 0.4.8
by blacklisting the plugin
* https://bugzilla.redhat.com/show_bug.cgi?id=503989 - Kpackagekit crashes
after packagekit update - we simply need a new kpackagekit (0.4.1) to go
together with the PackageKit 0.4.8 update, we're working on this right now

> In any case, we might as well just remove the plugin completely from
> Fedora and call it a day.

In this particular case, I wouldn't be opposed to that, the plugin is just
broken by design.

> If another packages has a problem and the plugin is involved then the
> plugin is blacklisted.

Only within that package. I think PackageKit is simply not designed to allow
yum plugins to add additional packages to remove.

        Kevin Kofler

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]